GenAuth DocsDocuments
Concepts
User Guide
Development Integration
AgentAuth
Metadata
Development Integration
Multi-tenant (beta)
Console Documentation
Multi-tenant Console
Tenant Console
Saas Application Demo
Concepts
User Guide
Development Integration
AgentAuth
Metadata
Development Integration
Multi-tenant (beta)
Console Documentation
Multi-tenant Console
Tenant Console
Saas Application Demo
Old version
Development Integration
  • API

  • SDK

    • Java

      • Installation and use
      • User authentication module

        • Login

        • Logout

        • Manage Token

        • Register

        • User information

        • Account Binding

        • MFA Factor Management

        • User-related resources

        • Message service

        • Authentication

          • String type resource authentication
          • Array type resource authentication
          • Tree type resource authentication
          • Get the user's authorized resource list under the login application
          • Get the user's specified resource permission list under the login application
          • Get the structure list of authorized resources under the user login application
        • Others

        • OIDC module
        • OAuth module
        • SAML module
        • CAS module
        • Events
      • Management module

    • Node.js

    • Python

  • Error Codes
  1. Development Integration
  2. /
  3. SDK
  4. /
  5. Java
  6. /
  7. User authentication module

  8. /
  9. Authentication

  10. /
  11. Get the user's authorized resource list under the login application

¶ Get the list of resources authorized by the user in the logged-in application

Update time: 2025-07-23 07:34:21
Edit

This document is automatically generated based on https://github.com/authing/authing-docs-factory based on the https://api-explorer.genauth.ai V3 API, and is consistent with the API parameters and return results. If the description of this document is incorrect, please refer to the V3 API.

Get the list of resource permissions specified by the user. The user obtains the list of resources owned by the user in a certain application.

¶ Method Name

AuthenticationClient.getUserAuthorizedResourcesList

¶ Request Parameters

NameType
Is it required
Default Value
Description
Example Value

¶ Sample Code

package test.authentication;

import cn.authing.sdk.java.client.AuthenticationClient;
import cn.authing.sdk.java.dto.CheckPermissionArrayResourceDto;
import cn.authing.sdk.java.dto.CheckResourcePermissionsRespDto;
import cn.authing.sdk.java.dto.GetUserAuthResourceListRespDto;
import cn.authing.sdk.java.dto.LoginTokenRespDto;
import cn.authing.sdk.java.dto.SignInOptionsDto;
import cn.authing.sdk.java.model.AuthenticationClientOptions;
import cn.authing.sdk.java.util.JsonUtils;
import java.util.ArrayList;

public class GetUserAuthResourceListTest {
    // Need to be replaced with your GenAuth App ID
    private static final String APP_ID = "AUTHING_APP_ID";
    // Need to be replaced with your GenAuth App Secret
    private static final String APP_SECRET = "AUTHING_APP_SECRET";
    // Need to be replaced with your GenAuth App Host
    private static final String APP_HOST = "AUTHING_APP_HOST";
    // Need to be replaced with your GenAuth Access Token
    private static final String ACCESS_TOKEN = "AUTHING_ACCESS_TOKEN";

    public static void main(String[] args) throws Throwable {

        AuthenticationClientOptions clientOptions = new AuthenticationClientOptions();
        clientOptions.setAppId(APP_ID);
        clientOptions.setAppSecret(APP_SECRET);
        clientOptions.setAppHost(APP_HOST);
        clientOptions.setAccessToken(ACCESS_TOKEN);

        AuthenticationClient client = new AuthenticationClient(clientOptions);

        GetUserAuthResourceListRespDto userAuthorizedResourcesList = client
                .getUserAuthorizedResourcesList();
        System.out.println(JsonUtils.serialize(userAuthorizedResourcesList));
    }
}

¶ Request Response

Type: GetUserAuthResourceListRespDto

NameTypeDescription
statusCodenumberBusiness status code, which can be used to determine whether the operation is successful. 200 means success.
messagestringDescription
apiCodenumberSegmented error code, which can be used to get the specific error type (successful requests are not returned). For a detailed list of error codes, see: API Code List (opens new window)
requestIdstringRequest ID. Returned when the request fails.
dataGetUserAuthResourceListDataDtoResponse data

Example Results:

{
  "statusCode": 200,
  "message": "Operation successful",
  "requestId": "934108e5-9fbf-4d24-8da1-c330328abd6c",
  "data": {
    "userPermissionList": {
      "userId": "6301cexxxxxxxxxxxxxxxxx78",
      "namespaceCode": "examplePermissionNamespace",
      "resourceList": {
        "resourceCode": "resourceCode",
        "resourceType": "STRING",
        "strAuthorize": {
          "value": "Example string resource Value",
          "actions": "[\"read\",\"get\"]"
        },
        "arrAuthorize": {
          "values": "[\"value0\",\"value1\"]",
          "actions": "[\"read\",\"get\"]"
        },
        "treeAuthorize": {
          "authList": {
            "nodePath": "/treeCode1/treeCode11",
            "nodeName": "Example Tree Resource Node Name",
            "nodeActions": "[\"read\",\"get\"]",
            "nodeValue": "Example Tree Resource Node  Value"
          }
        }
      }
    }
  }
}

¶ Data Structure

¶ GetUserAuthResourceListDataDto

NameType
Is it required
Description
Example Value
userPermissionListarrayyesUser permission list nestedType: UserAuthResourceListDto.

¶ UserAuthResourceListDto

NameType
Is it required
Description
Example Value
userIdstringYesUser ID authorized by data policy6301cexxxxxxxxxxxxxxxxx78
namespaceCodestringYesPermission space Code authorized by data policyexamplePermissionNamespace
resourceListarrayNoList of all data policy resources of the user under the permission space Nested Type: OpenResource.

¶ OpenResource

NameType
Is it required
Description
Example Value
resourceCodestringYesData resource Code authorized under data policyresourceCode
resourceTypestringYesData resource type authorized under data policy. Currently, it supports three types: tree structure (TREE), string (STRING), and array (ARRAY). Different structures are returned according to different types.
- STRING: string type result StrAuthorize
- ARRAY: array type ArrayAuthorize
- TREE: tree type TreeAuthorize
TREE
strAuthorizeNostring resource of data policy Nested Type: StrAuthorize.
arrAuthorizeNoarray resource of data policy Nested Type: ArrayAuthorize.
treeAuthorizeNotree resource of data policy Nested Type: TreeAuthorize.

¶ StrAuthorize

NameType
Is it required
Description
Example Value
valuestringYesString resource ValueExample string resource Value
actionsarrayYesString resource action list["read","get"]

¶ ArrayAuthorize

NameType
Is it required
Description
Example Value
values ​​arrayYesArray resource Value list["value0","value1"]
actionsarrayYesArray resource action list["read","get"]

¶ TreeAuthorize

NameType
Is it required
Description
Example Value
authListarrayYesTree resource authorization list nested Type: TreeAuthBo.

¶ TreeAuthBo

NameType
Is it required
Description
Example Value
nodePathstringYesTree resource node path/treeCode1/treeCode11
nodeNamestringYesTree resource node NameExample Tree Resource Node Name
nodeActionsarrayYesTree resource node operation permission list["read","get"]
nodeValuestringNoTree resource node ValueExample Tree Resource Node Value
Previous article: Tree type resource authentication Next article: Get the user's specified resource permission list under the login application
  • Method Name
  • Request Parameters
  • Sample Code
  • Request Response
  • Data Structure

User identity management

Integrated third-party login
Customized authentication process

Enterprise internal management

Single sign-on
Multi-factor authentication
Permission management

Developer

Development Documentation
GitHub (opens new window)

Company

official@genauth.ai
16th Floor, Building B, Beichen Century Center, Chaoyang District, Beijing (Total)
Room 406, 4th Floor, Block B, No. 200, Tianfu Fifth Street, High-tech Zone, Chengdu (Branch)

© Beijing Steamory Technology Co., Ltd.